module.exports = {
  'en-US': {
    title: 'SimPad Control Panel',
    selectDevice: 'Select Devices',
    selectOperation: 'Select Operation',
    detailedSettings: 'Advanced Settings',
    apply: 'Apply',
    conInfo: 'Please connect and select your device',
    refresh: 'Refresh',
    confirmAndNext: 'Connect',
    chooseInfo: 'Select the operation you want to perform',
    changeKeyCodeBT: 'Modify Shortcuts',
    changeLightsBT: 'Modify Lighting',
    otherSettingsBT: 'Advanced settings',
    pleaseWait: 'Please wait...',
    successToApply: 'Settings applied!',
    returnToContinue: 'Return',
    exitProgram: 'Exit',

    edit: 'Edit',

    changeKeyCode: 'Edit Shortcuts',
    changeKeyCodeInfo:
      'Shortcuts can be set separatly, supports basic key combination',
    viewKeyMap: 'View shortcuts for device',

    changeLights: 'Lights Mode & Color',
    changeLightsInfo: 'You can adjust lights mode or set colours for each key',
    viewLightsMap: 'View lighting configuration',
    lightsMode: 'Mode',
    easeOut: 'Fade out',
    easeIn: 'Fade in',
    keepOn: 'Always on',
    keepOff: 'Off',
    keyPress: 'Key Press',
    rainbowColor: 'Rainbow',
    rainbowEaseOut: 'Rainbow fade out',
    keySwitch: 'On-Off',
    rainbowSwitch: 'Rainbow On-Off',

    lightsDelay: 'Lights Speeds',
    easeLightDelay: 'Fade in or out delay',
    rainbowLightDelay: 'Rainbow change delay',

    colorAndBrightness: 'Color & Brightness',
    setBrightness: 'Set brightness',

    nightLights: 'Nightlights',
    nightLightsOn: 'Turn on',
    nightLightsOff: 'Turn off',

    keyDelay: 'Input Debounce',
    keyDelayInfo: `SimPad uses an advanced ID (input debounce) technology that is different from other keyboard, which can significantly control the delay caused by ID function
    <br>But you can still adjust the delay  for the ID function to be triggered, which will affect the experience when the keys are raised`,
    delay: 'Delay',

    advancedOptions: 'Advanced Options',
    advancedOptionsInfo: `You can fine tune some settings here, recommended for pro users，
    <br>All changes made in Advanced Options are applied immediately`,
    sendDataPack: 'Send Data Packets',
    sendDataPackInfo: `If you are familiar with SimPad data format，you can send data directly to the device，
    <br>Your text input will be treated as raw hex data, separated by space`,
    sendDataPackBtn: 'Send',

    superSpeedMode: 'Full Speed Mode',
    superSpeedModeInfo:
      'You can enable "full speed mode" to disable all lights to get the fastest speed, reboot device to apply.',
    superSpeedModeeBtnOn: 'Trun on',
    superSpeedModeeBtnOff: 'Trun off',

    resetDevice: 'Reset Device',
    resetDeviceInfo: 'Device can be reseted to default settings',
    resetDeviceBtn: 'Reset',
    resetAllDevicesBtn: 'Reset All',

    about: 'About SimPad',
    checkUpdate: 'Check Update',
    installDriver: 'Install Driver (Requires administrative privileges)',
    isLatestVersion: 'Already on latest version',
    jumpToBootMode: 'Enter Boot Mode',
    aboutText: `<p>Thank you for using SimPad!</p>
    <p>SimPad is a custom keyboard based on 8051 logic, and got its name from the Simple and Pad, which indicates to Simple and practical. Thanks to the following people for help in the process of the development of the keyboard,</p>
    <p> Thank you very much.</p>
    <p></p>
    <p class="nameBefore">Sayobot小夜</p>
    <p class="nameBefore">noodlefighter</p>
    <p class="nameBefore">kd飞飞</p>
    <p class="nameBefore">rikka0w0</p>
    <p class="nameBefore">晨旭</p>
    <p class="nameBefore">Antecer</p>
    <p></p>
    <p>Special thanks</p>
    <p>English interpreter</p>
    <p class="nameBefore">Jeff - Source Localization Team</p>
    <p class="nameBefore">HDY</p>
    <p></p>
    <a href="https://sim.bysb.net/">
      <p class="canBeSeleted">View the keyboard publishing page</p>
    </a>
    <a href="https://www.bysb.net">
      <p class="canBeSeleted">View Handle's Blog</p>
    </a>
    <p></p>
    <p>~ Handle</p>
    <p>2018.7.4</p>`,

    changesCount: 'changes pending',
    abandonsChanges: 'Discard all changes',
    applyToDevice: 'Apply changes',

    selectedDevice: 'Current selected device',
    noDevice: 'Awaiting selection',
    reselectDevice: 'Select another device',

    //DevicesNames
    simpadv2: 'SimPad v2',
    sayoo2c: "Sayobot's KeyPad O2C",
    simpadv2lite: 'SimPad v2 Lite',
    simpadv2yearedition: 'SimPad v2 Year Edition',

    //ForKeyboard
    key_esc: 'Esc',
    key_f1: 'F1',
    key_f2: 'F2',
    key_f3: 'F3',
    key_f4: 'F4',
    key_f5: 'F5',
    key_f6: 'F6',
    key_f7: 'F7',
    key_f8: 'F8',
    key_f9: 'F9',
    key_f10: 'F10',
    key_f11: 'F11',
    key_f12: 'F12',
    key_prtSc: 'Print Src',
    key_scrLk: 'Sroll Lock',
    key_pauseBreak: 'Pause Break',
    key_waveLine: '~ `',
    key_1: '! 1',
    key_2: '@ 2',
    key_3: '# 3',
    key_4: '$ 4',
    key_5: '% 5',
    key_6: '^ 6',
    key_7: '&amp; 7',
    key_8: '* 8',
    key_9: '( 9',
    key_0: ') 0',
    key_bar: '_ -',
    key_equal: '+ =',
    key_bsp: 'Backspace',
    key_ins: 'Ins',
    key_home: 'Home',
    key_pageUp: 'Page Up',
    key_numPad_numLk: 'Num Lock',
    key_numPad_slash: '/',
    key_numPad_asterisk: '*',
    key_numPad_bar: '-',
    key_tab: 'Tab',
    key_q: 'Q',
    key_w: 'W',
    key_e: 'E',
    key_r: 'R',
    key_t: 'T',
    key_y: 'Y',
    key_u: 'U',
    key_i: 'I',
    key_o: 'O',
    key_p: 'P',
    key_leftParenthesis: '{ [',
    key_rightParenthesis: '} ]',
    key_backSlant: '| \\',
    key_del: 'Del',
    key_end: 'End',
    key_pgDn: 'Page Down',
    key_numPad_7: '7 Hom',
    key_numPad_8: '8 ↑',
    key_numPad_9: '9 PgU',
    key_numPad_add: '+',
    key_capsLock: 'CapsLock',
    key_a: 'A',
    key_s: 'S',
    key_d: 'D',
    key_f: 'F',
    key_g: 'G',
    key_h: 'H',
    key_j: 'J',
    key_k: 'K',
    key_l: 'L',
    key_semicolon: ': ;',
    key_quotationMark: '" \'',
    key_enter: 'Enter',
    key_numPad_4: '4 ←',
    key_numPad_5: '5',
    key_numPad_6: '6 →',
    key_leftShift: 'Shift',
    key_z: 'Z',
    key_x: 'X',
    key_c: 'C',
    key_v: 'V',
    key_b: 'B',
    key_n: 'N',
    key_m: 'M',
    key_comma: '&lt; ,',
    key_period: '&gt; .',
    key_questionMark: '? /',
    key_rightShift: 'Shift',
    key_upArrow: '↑',
    key_numPad_1: '1 End',
    key_numPad_2: '2 ↓',
    key_numPad_3: '3 PgD',
    key_numPad_enter: 'Enter',
    key_leftCtrl: 'Ctrl',
    key_leftWin: '&#xF17A',
    key_leftAlt: 'Alt',
    key_space: 'Space',
    key_rightAlt: 'Alt',
    key_rightWin: '&#xF17A',
    key_menu: '&#xF022',
    key_rightCtrl: 'Ctrl',
    key_leftArrow: '←',
    key_downArrow: '↓',
    key_rightArrow: '→',
    key_numPad_0: '0 Ins',
    key_numPad_period: 'Del .',

    key_mouseLeft: 'MouseLeft',
    key_mouseMiddle: 'MouseMid',
    key_mouseRight: 'MouseRight',
    //ForKeyboard TextInfo
    keyN_null: 'Null',

    keyN_esc: 'Esc',
    keyN_f1: 'F1',
    keyN_f2: 'F2',
    keyN_f3: 'F3',
    keyN_f4: 'F4',
    keyN_f5: 'F5',
    keyN_f6: 'F6',
    keyN_f7: 'F7',
    keyN_f8: 'F8',
    keyN_f9: 'F9',
    keyN_f10: 'F10',
    keyN_f11: 'F11',
    keyN_f12: 'F12',
    keyN_prtSc: 'Print Screen',
    keyN_scrLk: 'Sroll Lock',
    keyN_pauseBreak: 'Pause Break',
    keyN_waveLine: '~',
    keyN_1: '1',
    keyN_2: '2',
    keyN_3: '3',
    keyN_4: '4',
    keyN_5: '5',
    keyN_6: '6',
    keyN_7: '7',
    keyN_8: '8',
    keyN_9: '9',
    keyN_0: '0',
    keyN_bar: '-',
    keyN_equal: '=',
    keyN_bsp: 'Backspace',
    keyN_ins: 'Insert',
    keyN_home: 'Home',
    keyN_pageUp: 'Page Up',
    keyN_numPad_numLk: 'Num Lock',
    keyN_numPad_slash: 'NumPad /',
    keyN_numPad_asterisk: 'NumPad *',
    keyN_numPad_bar: 'NumPad -',
    keyN_tab: 'Tab',
    keyN_q: 'Q',
    keyN_w: 'W',
    keyN_e: 'E',
    keyN_r: 'R',
    keyN_t: 'T',
    keyN_y: 'Y',
    keyN_u: 'U',
    keyN_i: 'I',
    keyN_o: 'O',
    keyN_p: 'P',
    keyN_leftParenthesis: '[',
    keyN_rightParenthesis: ']',
    keyN_backSlant: '\\',
    keyN_del: 'Delete',
    keyN_end: 'End',
    keyN_pgDn: 'Page Down',
    keyN_numPad_7: 'NumPad 7',
    keyN_numPad_8: 'NumPad 8',
    keyN_numPad_9: 'NumPad 9',
    keyN_numPad_add: 'NumPad +',
    keyN_capsLock: 'CapsLock',
    keyN_a: 'A',
    keyN_s: 'S',
    keyN_d: 'D',
    keyN_f: 'F',
    keyN_g: 'G',
    keyN_h: 'H',
    keyN_j: 'J',
    keyN_k: 'K',
    keyN_l: 'L',
    keyN_semicolon: ';',
    keyN_quotationMark: "'",
    keyN_enter: 'Enter',
    keyN_numPad_4: 'NumPad 4',
    keyN_numPad_5: 'NumPad 5',
    keyN_numPad_6: 'NumPad 6',
    keyN_leftShift: 'Left Shift',
    keyN_z: 'Z',
    keyN_x: 'X',
    keyN_c: 'C',
    keyN_v: 'V',
    keyN_b: 'B',
    keyN_n: 'N',
    keyN_m: 'M',
    keyN_comma: ',',
    keyN_period: '.',
    keyN_questionMark: '/',
    keyN_rightShift: 'Right Shift',
    keyN_upArrow: '↑',
    keyN_numPad_1: 'NumPad 1',
    keyN_numPad_2: 'NumPad 2',
    keyN_numPad_3: 'NumPad 3',
    keyN_numPad_enter: 'NumPad Enter',
    keyN_leftCtrl: 'Left Ctrl',
    keyN_leftWin: 'Left Win',
    keyN_leftAlt: 'Left Alt',
    keyN_space: 'Space',
    keyN_rightAlt: 'Right Alt',
    keyN_rightWin: 'Right Win',
    keyN_menu: 'Application',
    keyN_rightCtrl: 'Right Ctrl',
    keyN_leftArrow: '←',
    keyN_downArrow: '↓',
    keyN_rightArrow: '→',
    keyN_numPad_0: 'NumPad 0',
    keyN_numPad_period: 'NumPad .',

    keyN_mouseLeft: 'Mouse Left',
    keyN_mouseMiddle: 'Mouse Middle',
    keyN_mouseRight: 'Mouse Right',

    firmwareVersion: 'Firmware Version',
    chipID: 'Device ID',
    lightTest: 'Lights Test',
    checkUpdateFailed: 'Check Update Failed',

    egg_1:
      "Good morning, and in case I don't see ya, good afternoon, good evening, and good night!"
  },
  'de-DE': {
    title: 'SimPad Systemsteuerung',
    selectDevice: 'Gerät auswählen',
    selectOperation: 'Einstellung auswählen',
    detailedSettings: 'Detaillierten Einstellung',
    apply: 'anwenden',
    conInfo: 'Bitte verbinden und wählen sie ihr Gerät',
    refresh: 'Aktualisieren',
    confirmAndNext: 'Auswählen',
    chooseInfo: 'Bitte wählen sie eine Einstellung',
    changeKeyCodeBT: 'Tasteneinstellungen',
    changeLightsBT: 'Lichteinstellungen',
    otherSettingsBT: 'Erweiterte Einstellungen',
    pleaseWait: 'Einstellungen werden übernommen, bitte warten',
    successToApply: 'Eintellungen erfolgreich angewandt',
    returnToContinue: 'Zurück',
    exitProgram: 'Beenden',

    edit: 'Bearbeiten',

    changeKeyCode: 'Tastatureinstellungen bearbeiten',
    changeKeyCodeInfo:
      'Tasten sowie Tastenkombinationen können separat eingestellt werden',
    viewKeyMap: 'Tastenkonfiguration anzeigen',

    changeLights: 'Beleuchtungsmodi und Farbeinstellungen',
    changeLightsInfo:
      'Beleuchtungsmodi und Farben können separat eingestellt werden',
    viewLightsMap: 'Lichtkonfiguration anzeigen',
    lightsMode: 'Beleuchtungsmodus',
    easeOut: 'Ease-out Animation',
    easeIn: 'Ease-in Animation',
    keepOn: 'Beleuchtung immer an',
    keepOff: 'Beleuchtung immmer aus',
    keyPress: 'Beleuchtung auf Tastendruck',

    colorAndBrightness: 'Farbe', //与亮度
    setBrightness: 'Helligkeit einstellen',

    nightLightsOn: 'Beleuchtung bei ausgeschaltetem Computer an',
    nightLightsOff: 'Beleuchtung bei ausgeschaltetem Computer aus',

    keyDelay: 'Tastenverzögerung',
    keyDelayInfo: `SimPad verwendet eine Input Debounce-Funktion, welche die Verzögerung einstellt, bis ein Tastenanhieb registriert wird.
    <br>Ändern sie Diese, um die Verzögerung zu verändern`,
    delay: 'Verzögerung',

    advancedOptions: 'Erweiterte Einstellungen',
    advancedOptionsInfo: `Das Ändern von erweiterten Eintellungen erfordert moderate Erfahrung von Benutzern.`,
    sendDataPack: 'Data Packets senden',
    sendDataPackInfo: `Wenn Sie mit dem SimPad-Packetformat vertraut sind, können Sie Pakete auch direkt an das Gerät senden. Ihre Eingabe wird, duch Leertasten getrennt, hexadezimal verarbeitet`,
    sendDataPackBtn: 'Senden',

    superSpeedMode: 'Hochleistungsmodus',
    superSpeedModeInfo:
      'Aktivieren sie den Hochleistungsmodus, werdedn Lichteffekte vollständig abgeschaltet, um die Geschwindigkeit des Geräts zu erhöhern. Ein Geräteneustart ist nach Übernahme der Einstellung erforderlich',
    superSpeedModeeBtnOn: 'Aktivieren',
    superSpeedModeeBtnOff: 'Deaktivieren',

    resetDevice: 'Gerät zurücksetzen',
    resetDeviceInfo:
      'Das Gerät kann hier auf Werkeinstellungen zurückgesetzt werden',
    resetDeviceBtn: 'Zurücksetzen',

    about: 'Über uns',
    checkUpdate: 'Nach Updates suchen',
    aboutText: `<p>Über SimPad.</p>
    <p>SimPad ist eine kundenspezifische Tastatur, die auf einer 8051-Logik basiert. Seinen Namen hat es von "Simple" und "Pad". Dies deutet darauf hin, dass das Gerät einfach und praktisch ist. SimPad wurde von den folgenden Personen während des Entwicklung unterstützt:</p>
    <p></p>
    <p class="nameBefore">Sayobot小夜</p>
    <p class="nameBefore">noodlefighter</p>
    <p class="nameBefore">kd飞飞</p>
    <p class="nameBefore">rikka0w0</p>
    <p class="nameBefore">晨旭</p>
    <p class="nameBefore">Antecer</p>
    <p></p>
    <p>Wir bedanken uns ausserdem bei</p>
    <p></p>
    <p class="nameBefore">Mn2O7</p>
    <p class="nameBefore">oSumAtrIX</p>
    <p></p>
    <a href="https://sim.bysb.net/">
      <p class="canBeSeleted">Besuchen Sie die Seite des Produkts</p>
    </a>
    <a href="https://www.bysb.net">
      <p class="canBeSeleted">Besuchen den Blog des Entwicklers, 手柄君的小阁</p>
    </a>
    <p></p>
    <p>By Handle</p>
    <p>2018.7.4</p>`,

    changesCount: 'Änderung(en) bevorstehend',
    abandonsChanges: 'Änderungen verwerfen',
    applyToDevice: 'Änderungen anwenden',

    selectedDevice: 'Ausgewähltes Gerät',
    noDevice: 'Warte auf Auswahl',
    reselectDevice: 'Geräteauswahl ändern',

    //DevicesNames
    simpadv2: 'SimPad v2',
    simpadv2lite: 'SimPad v2 Lite',
    simpadnano: 'SimPad Nano',
    simpadv2yearedition: 'SimPad v2 Year Edition',

    //ForKeyboard
    key_esc: 'Esc',
    key_f1: 'F1',
    key_f2: 'F2',
    key_f3: 'F3',
    key_f4: 'F4',
    key_f5: 'F5',
    key_f6: 'F6',
    key_f7: 'F7',
    key_f8: 'F8',
    key_f9: 'F9',
    key_f10: 'F10',
    key_f11: 'F11',
    key_f12: 'F12',
    key_prtSc: 'Print Scn',
    key_scrLk: 'Sroll Lock',
    key_pauseBreak: 'Pause Break',
    key_waveLine: '° ^',
    key_1: '! 1',
    key_2: '" 2',
    key_3: '§ 3',
    key_4: '$ 4',
    key_5: '% 5',
    key_6: '&amp; 6',
    key_7: '/ 7{',
    key_8: '( 8[',
    key_9: ') 9]',
    key_0: '= 0}',
    key_bar: '? ß\\',
    key_equal: '` ´',
    key_bsp: 'Backspace',
    key_ins: 'Ins',
    key_home: 'Home',
    key_pageUp: 'Page Up',
    key_numPad_numLk: 'Num Lock',
    key_numPad_slash: '/',
    key_numPad_asterisk: '*',
    key_numPad_bar: '-',
    key_tab: 'Tab',
    key_q: 'Q @',
    key_w: 'W',
    key_e: 'E €',
    key_r: 'R',
    key_t: 'T',
    key_y: 'Z',
    key_u: 'U',
    key_i: 'I',
    key_o: 'O',
    key_p: 'P',
    key_leftParenthesis: 'Ü',
    key_rightParenthesis: '* +',
    key_backSlant: "'~ #",
    key_del: 'Del',
    key_end: 'End',
    key_pgDn: 'Page Down',
    key_numPad_7: '7 Hom',
    key_numPad_8: '8 ↑',
    key_numPad_9: '9 PgU',
    key_numPad_add: '+',
    key_capsLock: 'CapsLock',
    key_a: 'A',
    key_s: 'S',
    key_d: 'D',
    key_f: 'F',
    key_g: 'G',
    key_h: 'H',
    key_j: 'J',
    key_k: 'K',
    key_l: 'L',
    key_semicolon: 'Ö',
    key_quotationMark: 'Ä',
    key_enter: 'Return',
    key_numPad_4: '4 ←',
    key_numPad_5: '5',
    key_numPad_6: '6 →',
    key_leftShift: 'Shift',
    key_z: 'Y',
    key_x: 'X',
    key_c: 'C',
    key_v: 'V',
    key_b: 'B',
    key_n: 'N',
    key_m: 'M μ',
    key_comma: '; ,',
    key_period: ': .',
    key_questionMark: '_ -',
    key_rightShift: 'Shift',
    key_upArrow: '↑',
    key_numPad_1: '1 End',
    key_numPad_2: '2 ↓',
    key_numPad_3: '3 PgD',
    key_numPad_enter: 'Return',
    key_leftCtrl: 'Ctrl',
    key_leftWin: '&#xF17A',
    key_leftAlt: 'Alt',
    key_space: 'Leertaste',
    key_rightAlt: 'Altα',
    key_rightWin: '&#xF17A',
    key_menu: '&#xF022',
    key_rightCtrl: 'Ctrl',
    key_leftArrow: '←',
    key_downArrow: '↓',
    key_rightArrow: '→',
    key_numPad_0: '0 Ins',
    key_numPad_period: 'Del .',

    //ForKeyboard TextInfo
    keyN_esc: 'Esc',
    keyN_f1: 'F1',
    keyN_f2: 'F2',
    keyN_f3: 'F3',
    keyN_f4: 'F4',
    keyN_f5: 'F5',
    keyN_f6: 'F6',
    keyN_f7: 'F7',
    keyN_f8: 'F8',
    keyN_f9: 'F9',
    keyN_f10: 'F10',
    keyN_f11: 'F11',
    keyN_f12: 'F12',
    keyN_prtSc: 'Print Screen',
    keyN_scrLk: 'Sroll Lock',
    keyN_pauseBreak: 'Pause Break',
    keyN_waveLine: '^',
    keyN_1: '1',
    keyN_2: '2',
    keyN_3: '3',
    keyN_4: '4',
    keyN_5: '5',
    keyN_6: '6',
    keyN_7: '7',
    keyN_8: '8',
    keyN_9: '9',
    keyN_0: '0',
    keyN_bar: 'ß',
    keyN_equal: '´',
    keyN_bsp: 'Backspace',
    keyN_ins: 'Insert',
    keyN_home: 'Home',
    keyN_pageUp: 'Page Up',
    keyN_numPad_numLk: 'Num Lock',
    keyN_numPad_slash: 'NumPad /',
    keyN_numPad_asterisk: 'NumPad *',
    keyN_numPad_bar: 'NumPad -',
    keyN_tab: 'Tab',
    keyN_q: 'Q',
    keyN_w: 'W',
    keyN_e: 'E',
    keyN_r: 'R',
    keyN_t: 'T',
    keyN_y: 'Z',
    keyN_u: 'U',
    keyN_i: 'I',
    keyN_o: 'O',
    keyN_p: 'P',
    keyN_leftParenthesis: 'Ü',
    keyN_rightParenthesis: '*',
    keyN_backSlant: "'~",
    keyN_del: 'Delete',
    keyN_end: 'End',
    keyN_pgDn: 'Page Down',
    keyN_numPad_7: 'NumPad 7',
    keyN_numPad_8: 'NumPad 8',
    keyN_numPad_9: 'NumPad 9',
    keyN_numPad_add: 'NumPad +',
    keyN_capsLock: 'CapsLock',
    keyN_a: 'A',
    keyN_s: 'S',
    keyN_d: 'D',
    keyN_f: 'F',
    keyN_g: 'G',
    keyN_h: 'H',
    keyN_j: 'J',
    keyN_k: 'K',
    keyN_l: 'L',
    keyN_semicolon: 'Ö',
    keyN_quotationMark: 'Ä',
    keyN_enter: 'Return',
    keyN_numPad_4: 'NumPad 4',
    keyN_numPad_5: 'NumPad 5',
    keyN_numPad_6: 'NumPad 6',
    keyN_leftShift: 'Left Shift',
    keyN_z: 'Y',
    keyN_x: 'X',
    keyN_c: 'C',
    keyN_v: 'V',
    keyN_b: 'B',
    keyN_n: 'N',
    keyN_m: 'M',
    keyN_comma: ',',
    keyN_period: '.',
    keyN_questionMark: '-',
    keyN_rightShift: 'Right Shift',
    keyN_upArrow: '↑',
    keyN_numPad_1: 'NumPad 1',
    keyN_numPad_2: 'NumPad 2',
    keyN_numPad_3: 'NumPad 3',
    keyN_numPad_enter: 'NumPad Enter',
    keyN_leftCtrl: 'Left Ctrl',
    keyN_leftWin: 'Left Win',
    keyN_leftAlt: 'Left Alt',
    keyN_space: 'Leertaste',
    keyN_rightAlt: 'Right Alt',
    keyN_rightWin: 'Right Win',
    keyN_menu: 'Application',
    keyN_rightCtrl: 'Right Ctrl',
    keyN_leftArrow: '←',
    keyN_downArrow: '↓',
    keyN_rightArrow: '→',
    keyN_numPad_0: 'NumPad 0',
    keyN_numPad_period: 'NumPad .'
  },
  'ja-JP': {
    title: 'SimPadコントロールパネル',
    selectDevice: '設備を選定する',
    selectOperation: '操作を選定する',
    detailedSettings: '具体な配置',
    apply: '応用',
    conInfo: '設定変更を行うデバイスを選択してください',
    refresh: '再読込',
    confirmAndNext: 'このデバイスの設定をする',
    chooseInfo: '行いたい設定をご選択してください',
    changeKeyCodeBT: 'キーワードを変更する',
    changeLightsBT: 'ライトを設置する',
    otherSettingsBT: '他の選択',
    pleaseWait: '応用中、少々お待ちください',
    successToApply: '応用に成功する',
    exitProgram: '終了',

    edit: '変更',

    changeKeyCode: 'キーワードの設定',
    changeKeyCodeInfo:
      'ここで、各キーのキーワードを設置して、基本の組み合わせキーの機能を支持する',
    viewKeyMap: '設備のキーの定義を調べる',

    changeLights: 'ライトのモデルと色',
    changeLightsInfo:
      'ここでライトのモデルを調整し、又は各組のライトの色を設置する',
    viewLightsMap: '設備のライトの配置を調べる',
    lightsMode: 'モデル',
    easeOut: '押すとつき、次に消える',
    easeIn: '押すと消し、次についている',
    keepOn: '常に明るい',
    keepOff: 'オフ',
    keyPress: '押すとつき',

    colorAndBrightness: '色、明るの設定', //与亮度
    setBrightness: '明るさを設置する',

    nightLights: 'ナイトライト',
    nightLightsOn: 'オン',
    nightLightsOff: 'オフ',

    keyDelay: 'キーストローク消去',
    keyDelayInfo: `SimPadの特別なキーストローク消去の方法は有効にキーストローク消去による遅延を下げる。ここで、ボタンが上がる時発生したキーストローク消去の機能のトリガー遅延が調整できる。`,
    delay: 'タイムアウト',

    advancedOptions: '高級',
    advancedOptionsInfo: `高級なオプションは一部の高級な操作を提供する。ユーザーがこれらの操作を使うと進めない。高級なオプションにあるすべての操作は確認を無視して直接に応用される。`,
    sendDataPack: 'データパックを送信する',
    sendDataPackInfo: `SimPadのデータパックのフォーマットになれると、直接に設備にデータパックを送信してもいい。ご入力したテキストはスペースに応じて16進数のデータに解析される`,
    sendDataPackBtn: '送信',
    superSpeedMode: 'スーパースピードモード',
    superSpeedModeInfo:
      'スーパースピードモードを使用することで、徹底的にすべてのライト効果をなくすことになります。よって最速の体験を得ることができます。設備を再起動して効果を発揮します。',
    superSpeedModeeBtnOn: 'オン',
    superSpeedModeeBtnOff: 'オフ',

    resetDevice: '設備をリセットする',
    resetDeviceInfo: 'ご設備をリセットして、全ての設置をデフォルトに回復する',
    resetDeviceBtn: 'リセット',

    about: 'につき',
    checkUpdate: '検査更新',
    aboutText: `<p>SimPadご使用ありがとうございます</p>
    <p>SimPadは、8051の単片機に基づいて実現されたカスタムキーボードであり、SimpleとPadから名をつけて、簡単で実用的な設備を示している。</p>
    <p>SSimPadの開発過程で、以下通りの皆様からのご協力を頂いて、</p>
    <p>まことにありがとうございました！</p>
    <p></p>
    <p class="nameBefore">Sayobot小夜</p>
    <p class="nameBefore">noodlefighter</p>
    <p class="nameBefore">kd飞飞</p>
    <p class="nameBefore">rikka0w0</p>
    <p class="nameBefore">晨旭</p>
    <p class="nameBefore">Antecer</p>
    <p></p>
    <p>日本語の翻訳</p>
    <p class="nameBefore">「有道」の人工翻訳</p>
    <p></p>
    <p>日本語の翻訳協力</p>
    <p class="nameBefore">ルビー</p>
    <p></p>
    <a href="https://sim.bysb.net/">
      <p class="canBeSeleted">まことにありがとうございました！</p>
    </a>
    <a href="https://www.bysb.net">
      <p class="canBeSeleted">「手柄君様の小閣」のブログに訪問する</p>
    </a>
    <p></p>
    <p>By Handle</p>
    <p>2018.7.4</p>`,

    changesCount: '項発効の変更',
    abandonsChanges: 'すべての変更を諦める',
    applyToDevice: '設備に応用する',

    selectedDevice: '選択されたデバイス',
    noDevice: '選択待ち',
    reselectDevice: '改めて設備を選ぶ',

    simpadv2: 'SimPad v2',
    simpadv2lite: 'SimPad v2 Lite',
    simpadv2yearedition: 'SimPad v2 周年記念モデル'
  },
  'ru-RU': {
    title: 'Панель управления SimPad',
    selectDevice: 'Выбрать устройства',
    selectOperation: 'Выберите операцию',
    detailedSettings: 'Подробные настройки',
    apply: 'Применить',
    conInfo: 'Подключите и выберите устройство',
    refresh: 'Обновить',
    confirmAndNext: 'Подключить',
    chooseInfo: 'Выберите операцию, которую вы хотите выполнить',
    changeKeyCodeBT: 'Настройка кнопок',
    changeLightsBT: 'Настройка подсветки',
    otherSettingsBT: 'Доп. настройки',
    pleaseWait: 'Пожалуйста, подождите...',
    successToApply: 'Настройки применены!',
    returnToContinue: 'Вернуться',
    exitProgram: 'Выход',

    edit: 'Изменить',

    changeKeyCode: 'Изменение кнопок',
    changeKeyCodeInfo:
      'Вы можете установить любую кнопку здесь, включая сочетание клавиш',
    viewKeyMap: 'Посмотреть кнопки на устройстве',

    changeLights: 'Подсветка',
    changeLightsInfo: 'Здесь вы можете настроить подсветку',
    viewLightsMap: 'Просмотреть настройки подсветки',
    lightsMode: 'Режимы',
    easeOut: 'Затухание',
    easeIn: 'Появление',
    keepOn: 'Всегда включён',
    keepOff: 'Выключить',
    keyPress: 'По нажатию кнопки',
    rainbowColor: 'Радуга',
    rainbowEaseOut: 'Затухание Радуга',
    keySwitch: 'Выключение по нажатию',
    rainbowSwitch: 'Выключение по нажатию Радуга',

    lightsDelay: 'Скорость подсветки',
    easeLightDelay: 'Задержка Затухания и Появления',
    rainbowLightDelay: 'Задержка смены цвета (радуга)',

    colorAndBrightness: 'Цвет & Подсвета',
    setBrightness: 'Настроить яркость',

    nightLights: 'Работа подсветки не подключая к компьютеру',
    nightLightsOn: 'Включить',
    nightLightsOff: 'Выключить',

    keyDelay: 'Медленные кнопки',
    keyDelayInfo: `SimPad использует функцию отладки ввода, которая регулирует задержку до регистрации нажатия клавиши.
   <br>Вы можете изменять задержку!`,
    delay: 'Задержка',

    advancedOptions: 'Доп. Настройки',
    advancedOptionsInfo: `Вы можете настроить некоторые параметры здесь, рекомендуется для профессиональных пользователей，
   <br>Все изменения, сделанные в дополнительных параметрах, применяются сразу`,
    sendDataPack: 'Отправить пакеты данных',
    sendDataPackInfo: `Если вы знакомы с форматов данных SimPad ，вы можете отправлять данные сразу на ваше устройство，
   <br>Ваш текстовый ввод будет обработан как необработанные шестнадцатеричные данные, разделены пробелом`,
    sendDataPackBtn: 'Отправить',

    superSpeedMode: 'Максималочка',
    superSpeedModeInfo:
      'Здесь можете включить "Максималочку" чтобы выключить всю подсветку для получения быстрого отклика, перезапустите устройство чтобы применить.',
    superSpeedModeeBtnOn: 'Включить',
    superSpeedModeeBtnOff: 'Выключить',

    resetDevice: 'Сброс устройства',
    resetDeviceInfo: 'Сброс устройства до стандартных настроек',
    resetDeviceBtn: 'Сброс',
    resetAllDevicesBtn: 'Сбросить ВСЁ',

    about: 'О SimPad',
    checkUpdate: 'Проверить обновление',
    installDriver: 'Установить Драйвера (потребует UAC)',
    isLatestVersion: 'Установлена последняя прошивка',
    jumpToBootMode: 'Перейти в режим Загрузки',
    aboutText: `<p>Спасибо что выбрали SimPad!</p>
   <p>SimPad это кастомная клавиатура основаная на 8051 плате, получившая свое имя от слов "slim" и Pad, что указывает на простоту и практичность. Спасибо людям, которые помогли мне в разработке клавиатуры,</p>
   <p> Спасибо вам большое.</p>
   <p></p>
   <p class="nameBefore">Sayobot小夜</p>
   <p class="nameBefore">noodlefighter</p>
   <p class="nameBefore">kd飞飞</p>
   <p class="nameBefore">rikka0w0</p>
   <p class="nameBefore">晨旭</p>
   <p class="nameBefore">Antecer</p>
   <p></p>
   <p>Специальная благодарность!</p>
   <p>Перевод на русский</p>
   <p class="nameBefore">Kr3st1k</p>
   <p></p>
   <a href="https://sim.bysb.net/">
     <p class="canBeSeleted">Посмотреть страницу клавиатуры</p>
   </a>
   <a href="https://www.bysb.net">
     <p class="canBeSeleted">Просмотреть блог разработчика</p>
   </a>
   <p></p>
   <p>~ Handle</p>
   <p>2018.7.4</p>`,

    changesCount: 'Ожидающие изменения',
    abandonsChanges: 'Сбросить все изменения',
    applyToDevice: 'Применить изменения',

    selectedDevice: 'Выбранное устройство',
    noDevice: 'Ждёт Выбора',
    reselectDevice: 'Выберите другое устройство',

    //DevicesNames
    simpadv2: 'SimPad v2',
    sayoo2c: "Sayobot's KeyPad O2C",
    simpadv2lite: 'SimPad v2 Lite',

    //ForKeyboard
    key_esc: 'Esc',
    key_f1: 'F1',
    key_f2: 'F2',
    key_f3: 'F3',
    key_f4: 'F4',
    key_f5: 'F5',
    key_f6: 'F6',
    key_f7: 'F7',
    key_f8: 'F8',
    key_f9: 'F9',
    key_f10: 'F10',
    key_f11: 'F11',
    key_f12: 'F12',
    key_prtSc: 'Print Src',
    key_scrLk: 'Sroll Lock',
    key_pauseBreak: 'Pause Break',
    key_waveLine: '~ `',
    key_1: '! 1',
    key_2: '@ 2',
    key_3: '# 3',
    key_4: '$ 4',
    key_5: '% 5',
    key_6: '^ 6',
    key_7: '&amp; 7',
    key_8: '* 8',
    key_9: '( 9',
    key_0: ') 0',
    key_bar: '_ -',
    key_equal: '+ =',
    key_bsp: 'Backspace',
    key_ins: 'Ins',
    key_home: 'Home',
    key_pageUp: 'Page Up',
    key_numPad_numLk: 'Num Lock',
    key_numPad_slash: '/',
    key_numPad_asterisk: '*',
    key_numPad_bar: '-',
    key_tab: 'Tab',
    key_q: 'Q',
    key_w: 'W',
    key_e: 'E',
    key_r: 'R',
    key_t: 'T',
    key_y: 'Y',
    key_u: 'U',
    key_i: 'I',
    key_o: 'O',
    key_p: 'P',
    key_leftParenthesis: '{ [',
    key_rightParenthesis: '} ]',
    key_backSlant: '| \\',
    key_del: 'Del',
    key_end: 'End',
    key_pgDn: 'Page Down',
    key_numPad_7: '7 Hom',
    key_numPad_8: '8 ↑',
    key_numPad_9: '9 PgU',
    key_numPad_add: '+',
    key_capsLock: 'CapsLock',
    key_a: 'A',
    key_s: 'S',
    key_d: 'D',
    key_f: 'F',
    key_g: 'G',
    key_h: 'H',
    key_j: 'J',
    key_k: 'K',
    key_l: 'L',
    key_semicolon: ': ;',
    key_quotationMark: '" \'',
    key_enter: 'Enter',
    key_numPad_4: '4 ←',
    key_numPad_5: '5',
    key_numPad_6: '6 →',
    key_leftShift: 'Shift',
    key_z: 'Z',
    key_x: 'X',
    key_c: 'C',
    key_v: 'V',
    key_b: 'B',
    key_n: 'N',
    key_m: 'M',
    key_comma: '&lt; ,',
    key_period: '&gt; .',
    key_questionMark: '? /',
    key_rightShift: 'Shift',
    key_upArrow: '↑',
    key_numPad_1: '1 End',
    key_numPad_2: '2 ↓',
    key_numPad_3: '3 PgD',
    key_numPad_enter: 'Enter',
    key_leftCtrl: 'Ctrl',
    key_leftWin: '&#xF17A',
    key_leftAlt: 'Alt',
    key_space: 'Space',
    key_rightAlt: 'Alt',
    key_rightWin: '&#xF17A',
    key_menu: '&#xF022',
    key_rightCtrl: 'Ctrl',
    key_leftArrow: '←',
    key_downArrow: '↓',
    key_rightArrow: '→',
    key_numPad_0: '0 Ins',
    key_numPad_period: 'Del .',

    key_mouseLeft: 'ЛКМ',
    key_mouseMiddle: 'СКМ',
    key_mouseRight: 'ПКМ',
    //ForKeyboard TextInfo
    keyN_null: 'Null',

    keyN_esc: 'Esc',
    keyN_f1: 'F1',
    keyN_f2: 'F2',
    keyN_f3: 'F3',
    keyN_f4: 'F4',
    keyN_f5: 'F5',
    keyN_f6: 'F6',
    keyN_f7: 'F7',
    keyN_f8: 'F8',
    keyN_f9: 'F9',
    keyN_f10: 'F10',
    keyN_f11: 'F11',
    keyN_f12: 'F12',
    keyN_prtSc: 'Print Screen',
    keyN_scrLk: 'Sroll Lock',
    keyN_pauseBreak: 'Pause Break',
    keyN_waveLine: '~',
    keyN_1: '1',
    keyN_2: '2',
    keyN_3: '3',
    keyN_4: '4',
    keyN_5: '5',
    keyN_6: '6',
    keyN_7: '7',
    keyN_8: '8',
    keyN_9: '9',
    keyN_0: '0',
    keyN_bar: '-',
    keyN_equal: '=',
    keyN_bsp: 'Backspace',
    keyN_ins: 'Insert',
    keyN_home: 'Home',
    keyN_pageUp: 'Page Up',
    keyN_numPad_numLk: 'Num Lock',
    keyN_numPad_slash: 'NumPad /',
    keyN_numPad_asterisk: 'NumPad *',
    keyN_numPad_bar: 'NumPad -',
    keyN_tab: 'Tab',
    keyN_q: 'Q',
    keyN_w: 'W',
    keyN_e: 'E',
    keyN_r: 'R',
    keyN_t: 'T',
    keyN_y: 'Y',
    keyN_u: 'U',
    keyN_i: 'I',
    keyN_o: 'O',
    keyN_p: 'P',
    keyN_leftParenthesis: '[',
    keyN_rightParenthesis: ']',
    keyN_backSlant: '\\',
    keyN_del: 'Delete',
    keyN_end: 'End',
    keyN_pgDn: 'Page Down',
    keyN_numPad_7: 'NumPad 7',
    keyN_numPad_8: 'NumPad 8',
    keyN_numPad_9: 'NumPad 9',
    keyN_numPad_add: 'NumPad +',
    keyN_capsLock: 'CapsLock',
    keyN_a: 'A',
    keyN_s: 'S',
    keyN_d: 'D',
    keyN_f: 'F',
    keyN_g: 'G',
    keyN_h: 'H',
    keyN_j: 'J',
    keyN_k: 'K',
    keyN_l: 'L',
    keyN_semicolon: ';',
    keyN_quotationMark: "'",
    keyN_enter: 'Enter',
    keyN_numPad_4: 'NumPad 4',
    keyN_numPad_5: 'NumPad 5',
    keyN_numPad_6: 'NumPad 6',
    keyN_leftShift: 'Left Shift',
    keyN_z: 'Z',
    keyN_x: 'X',
    keyN_c: 'C',
    keyN_v: 'V',
    keyN_b: 'B',
    keyN_n: 'N',
    keyN_m: 'M',
    keyN_comma: ',',
    keyN_period: '.',
    keyN_questionMark: '/',
    keyN_rightShift: 'Right Shift',
    keyN_upArrow: '↑',
    keyN_numPad_1: 'NumPad 1',
    keyN_numPad_2: 'NumPad 2',
    keyN_numPad_3: 'NumPad 3',
    keyN_numPad_enter: 'NumPad Enter',
    keyN_leftCtrl: 'Left Ctrl',
    keyN_leftWin: 'Left Win',
    keyN_leftAlt: 'Left Alt',
    keyN_space: 'Space',
    keyN_rightAlt: 'Right Alt',
    keyN_rightWin: 'Right Win',
    keyN_menu: 'Application',
    keyN_rightCtrl: 'Right Ctrl',
    keyN_leftArrow: '←',
    keyN_downArrow: '↓',
    keyN_rightArrow: '→',
    keyN_numPad_0: 'NumPad 0',
    keyN_numPad_period: 'NumPad .',

    keyN_mouseLeft: 'ЛКМ',
    keyN_mouseMiddle: 'СКМ',
    keyN_mouseRight: 'ПКМ',

    firmwareVersion: 'Версия прошивки',
    chipID: 'ID устройства',
    lightTest: 'Проверка подсветки',
    checkUpdateFailed: 'Не удалось проверить обновление :c',

    egg_1:
      'Доброе утро, даже если я тебя не вижу, добрый день, добрый вечер, и доброй ночи!'
  },
  'zh-CN': {
    title: 'SimPad 配置工具',
    selectDevice: '选择设备',
    selectOperation: '选定操作',
    detailedSettings: '具体配置',
    apply: '应用',
    conInfo: '请连接并选中您要更改的设备',
    refresh: '刷新',
    confirmAndNext: '确认，对该设备进行操作',
    chooseInfo: '请选择您要进行的设定',
    changeKeyCodeBT: '修改键值',
    changeLightsBT: '设置灯光',
    otherSettingsBT: '其它选项',
    pleaseWait: '正在应用，请稍后……',
    successToApply: '成功应用',
    returnToContinue: '返回',
    exitProgram: '退出',

    edit: '编辑',

    changeKeyCode: '键值设定',
    changeKeyCodeInfo: '您可以在这里分别设置每个键的键值，支持基本组合键功能',
    viewKeyMap: '查看设备按键定义',

    changeLights: '灯光模式与颜色',
    changeLightsInfo: '您可以在这里调整灯光模式或是分别设置每组灯光的颜色',
    viewLightsMap: '查看设备灯光配置',
    lightsMode: '模式',
    easeOut: '按下立即亮起，然后渐隐',
    easeIn: '按下立即熄灭，然后渐显',
    keepOn: '一直常亮',
    keepOff: '关闭',
    keyPress: '按下时亮起',
    rainbowColor: '彩虹',
    rainbowEaseOut: '彩虹渐隐',
    keySwitch: '按键切换常亮',
    rainbowSwitch: '按键切换彩虹',

    lightsDelay: '灯光速度',
    easeLightDelay: '渐隐渐显延迟',
    rainbowLightDelay: '彩虹渐变延迟',

    colorAndBrightness: '颜色与亮度',
    setBrightness: '设置亮度',

    nightLights: '夜灯',
    nightLightsOn: '开启',
    nightLightsOff: '关闭',

    keyDelay: '按键消抖',
    keyDelayInfo: `按键抖动是机械键盘物理特性导致的一个问题，会造成机械键盘一次按下有时会触发多次。通常键盘厂商使用按键按下延时判断来减少其带来的影响，但是会造成键盘响应的速度降低并产生相对较大的延迟。
    <br>SimPad独特的消抖方式可以有效降低消抖带来的延迟，
    <br>您在这里可以调整按键抬起时消抖功能的触发延迟`,
    delay: '延时',

    advancedOptions: '高级',
    advancedOptionsInfo: `高级选单提供了一些高级操作，这些操作不建议用户去使用，
    <br>在高级选单的大多数操作都将跳过确认而直接应用`,
    sendDataPack: '发送数据包',
    sendDataPackInfo: `如果您熟悉SimPad数据包格式，您亦可以直接向设备发送数据包，
    <br>您输入的文本将按照空格分开解析为16进制数据`,
    sendDataPackBtn: '发送',
    superSpeedMode: '极速模式',
    superSpeedModeInfo:
      '您可以使用极速模式来彻底关闭所有的灯光效果来获得最急速的体验，重启设备生效',
    superSpeedModeeBtnOn: '开启',
    superSpeedModeeBtnOff: '关闭',

    resetDevice: '重置设备',
    resetDeviceInfo: '您可以将您的设备重置，将所有设置恢复为默认',
    resetDeviceBtn: '重置',
    resetAllDevicesBtn: '重置全部',

    about: '关于',
    checkUpdate: '检查更新',
    installDriver: '安装更新驱动程序（需要管理员权限）',
    isLatestVersion: '已经是最新版本',
    jumpToBootMode: '进入升级模式',
    aboutText: `<p>感谢您使用SimPad！</p>
    <p>SimPad是一款基于8051单片机实现的自定义键盘，得名于Simple与Pad，表明这个设备力求简单与实用，在这款设备的开发过程中受到了以下人的帮助，</p>
    <p>特此感谢！</p>
    <p></p>
    <p class="nameBefore">Sayobot小夜</p>
    <p class="nameBefore">noodlefighter</p>
    <p class="nameBefore">kd飞飞</p>
    <p class="nameBefore">rikka0w0</p>
    <p class="nameBefore">晨旭</p>
    <p class="nameBefore">Antecer</p>
    <p></p>
    <a href="https://sim.bysb.net/">
      <p class="canBeSeleted">访问键盘发布页</p>
    </a>
    <a href="https://www.bysb.net">
      <p class="canBeSeleted">访问手柄君的小阁博客</p>
    </a>
    <p></p>
    <p>By Handle</p>
    <p>2018.7.4</p>`,

    changesCount: '项生效的更改',
    abandonsChanges: '丢弃所有更改',
    applyToDevice: '应用到设备',

    selectedDevice: '当前设备',
    noDevice: '等待选中',
    reselectDevice: '重新选择设备',

    //设备列表
    simpadv2: 'SimPad 版本2',
    sayoo2c: '小夜のosu装备 O2C',
    simpadv2lite: 'SimPad 版本2 轻量版',
    simpadv2yearedition: 'SimPad v2 周年版',

    key_mouseLeft: '鼠标左键',
    key_mouseMiddle: '鼠标中键',
    key_mouseRight: '鼠标右键',

    //ForKeyboard TextInfo
    keyN_null: '空',

    keyN_esc: 'Esc',
    keyN_f1: 'F1',
    keyN_f2: 'F2',
    keyN_f3: 'F3',
    keyN_f4: 'F4',
    keyN_f5: 'F5',
    keyN_f6: 'F6',
    keyN_f7: 'F7',
    keyN_f8: 'F8',
    keyN_f9: 'F9',
    keyN_f10: 'F10',
    keyN_f11: 'F11',
    keyN_f12: 'F12',
    keyN_prtSc: 'Print Screen',
    keyN_scrLk: 'Sroll Lock',
    keyN_pauseBreak: 'Pause Break',
    keyN_waveLine: '~',
    keyN_1: '1',
    keyN_2: '2',
    keyN_3: '3',
    keyN_4: '4',
    keyN_5: '5',
    keyN_6: '6',
    keyN_7: '7',
    keyN_8: '8',
    keyN_9: '9',
    keyN_0: '0',
    keyN_bar: '-',
    keyN_equal: '=',
    keyN_bsp: '回退键',
    keyN_ins: 'Insert',
    keyN_home: 'Home',
    keyN_pageUp: '上翻页',
    keyN_numPad_numLk: 'Num Lock',
    keyN_numPad_slash: '小键盘/',
    keyN_numPad_asterisk: '小键盘*',
    keyN_numPad_bar: '小键盘-',
    keyN_tab: 'Tab',
    keyN_q: 'Q',
    keyN_w: 'W',
    keyN_e: 'E',
    keyN_r: 'R',
    keyN_t: 'T',
    keyN_y: 'Y',
    keyN_u: 'U',
    keyN_i: 'I',
    keyN_o: 'O',
    keyN_p: 'P',
    keyN_leftParenthesis: '[',
    keyN_rightParenthesis: ']',
    keyN_backSlant: '\\',
    keyN_del: 'Delete',
    keyN_end: 'End',
    keyN_pgDn: '下翻页',
    keyN_numPad_7: '小键盘7',
    keyN_numPad_8: '小键盘8',
    keyN_numPad_9: '小键盘9',
    keyN_numPad_add: '小键盘+',
    keyN_capsLock: '大写锁定',
    keyN_a: 'A',
    keyN_s: 'S',
    keyN_d: 'D',
    keyN_f: 'F',
    keyN_g: 'G',
    keyN_h: 'H',
    keyN_j: 'J',
    keyN_k: 'K',
    keyN_l: 'L',
    keyN_semicolon: ';',
    keyN_quotationMark: "'",
    keyN_enter: 'Enter',
    keyN_numPad_4: '小键盘4',
    keyN_numPad_5: '小键盘5',
    keyN_numPad_6: '小键盘6',
    keyN_leftShift: '左Shift',
    keyN_z: 'Z',
    keyN_x: 'X',
    keyN_c: 'C',
    keyN_v: 'V',
    keyN_b: 'B',
    keyN_n: 'N',
    keyN_m: 'M',
    keyN_comma: ',',
    keyN_period: '.',
    keyN_questionMark: '/',
    keyN_rightShift: '右Shift',
    keyN_upArrow: '↑',
    keyN_numPad_1: '小键盘1',
    keyN_numPad_2: '小键盘2',
    keyN_numPad_3: '小键盘3',
    keyN_numPad_enter: '小键盘Enter',
    keyN_leftCtrl: '左Ctrl',
    keyN_leftWin: '左Win',
    keyN_leftAlt: '左Alt',
    keyN_space: 'Space',
    keyN_rightAlt: '右Alt',
    keyN_rightWin: '右Win',
    keyN_menu: 'Application',
    keyN_rightCtrl: '右Ctrl',
    keyN_leftArrow: '←',
    keyN_downArrow: '↓',
    keyN_rightArrow: '→',
    keyN_numPad_0: '小键盘0',
    keyN_numPad_period: '小键盘.',

    keyN_mouseLeft: '鼠标左键',
    keyN_mouseMiddle: '鼠标中键',
    keyN_mouseRight: '鼠标右键',

    firmwareVersion: '固件版本',
    chipID: '设备ID',
    lightTest: '灯光测试',

    checkUpdateFailed: '检查更新失败'
  },
  'zh-SG': {
    title: 'SimPad Control Panel',
    selectDevice: '选择设备',
    selectOperation: '选定操作',
    detailedSettings: '具体配置',
    apply: '应用',
    conInfo: '请连接并选中您要更改的设备',
    refresh: '刷新',
    confirmAndNext: '确认，对该设备进行操作',
    chooseInfo: '请选择您要进行的设定',
    changeKeyCodeBT: '修改按键值',
    changeLightsBT: '设置灯光',
    otherSettingsBT: '其它选项',
    pleaseWait: '正在应用，请稍后……',
    successToApply: '成功应用',
    returnToContinue: '返回',
    exitProgram: '退出',

    edit: '编辑',

    changeKeyCode: '按键值设定',
    changeKeyCodeInfo: '您可以在这里分别设置每个键的按键值，支持基本组合键功能',
    viewKeyMap: '查看设备按键配置',

    changeLights: '灯光模式与颜色',
    changeLightsInfo: '您可以在这里调整灯光模式或是分别设置每组灯光的颜色',
    viewLightsMap: '查看设备灯光配置',
    lightsMode: '模式',
    easeOut: '按下立即亮起，然后逐渐熄灭',
    easeIn: '按下立即熄灭，然后逐渐亮起',
    keepOn: '一直常亮',
    keepOff: '关闭',
    keyPress: '按下时亮起',
    rainbowColor: '彩虹',
    rainbowEaseOut: '彩虹渐灭',
    keySwitch: '按键切换常亮',
    rainbowSwitch: '按键切换彩虹',

    lightsDelay: '灯光速度',
    easeLightDelay: '渐亮渐灭延迟',
    rainbowLightDelay: '彩虹变化延迟',

    colorAndBrightness: '颜色与亮度',
    setBrightness: '设置亮度',

    nightLights: '夜灯',
    nightLightsOn: '开启',
    nightLightsOff: '关闭',

    keyDelay: '按键去抖动',
    keyDelayInfo: `按键抖动是机械键盘物理特性导致的一个问题，会造成机械键盘一次按下有时会触发多次。通常键盘厂商使用按键按下延时判断来减少其带来的影响，但是会造成键盘响应的速度降低并产生相对较大的延迟。
    <br>SimPad独特的消抖方式可以有效降低这项操作带来的响应速度降低和额外延迟问题，虽然不推荐您修改默认设置，但您依然可以在这里调整该消抖方式独有的触发延时`,
    delay: '延时',

    advancedOptions: '高级',
    advancedOptionsInfo: `高级选单提供了一些高级操作，这些操作不建议用户去使用，
    <br>在高级选单的大多数操作都将跳过确认而直接应用`,
    sendDataPack: '发送数据包',
    sendDataPackInfo: `如果您熟悉SimPad数据包格式，您亦可以直接向设备发送数据包，
    <br>您输入的文本将按照空格分开解析为16进制数据`,
    sendDataPackBtn: '发送',
    superSpeedMode: '极速模式',
    superSpeedModeInfo:
      '您可以使用极速模式来彻底关闭所有的灯光效果来获得最急速的体验，重启设备生效',
    superSpeedModeeBtnOn: '开启',
    superSpeedModeeBtnOff: '关闭',

    resetDevice: '重置设备',
    resetDeviceInfo: '您可以将您的设备重置，将所有设置恢复为默认',
    resetDeviceBtn: '重置',

    about: '关于',
    checkUpdate: '检查更新',
    installDriver: '安装更新驱动程序（需要管理员权限）',
    isLatestVersion: '已经是最新版本',
    jumpToBootMode: '进入升级模式',
    aboutText: `<p>感谢您使用SimPad！</p>
    <p>SimPad是一款基于8051单片机实现的自定义键盘，得名于Simple与Pad，表明这个设备力求简单与实用，在这款设备的开发过程中受到了以下人的帮助，</p>
    <p>特此感谢！</p>
    <p></p>
    <p class="nameBefore">Sayobot小夜</p>
    <p class="nameBefore">noodlefighter</p>
    <p class="nameBefore">kd飞飞</p>
    <p class="nameBefore">rikka0w0</p>
    <p class="nameBefore">晨旭</p>
    <p class="nameBefore">Antecer</p>
    <p></p>
    <a href="https://sim.bysb.net/">
      <p class="canBeSeleted">访问键盘发布页</p>
    </a>
    <a href="https://www.bysb.net">
      <p class="canBeSeleted">访问手柄君的小阁博客</p>
    </a>
    <p></p>
    <p>By Handle</p>
    <p>2018.7.4</p>`,

    changesCount: '项生效的更改',
    abandonsChanges: '丢弃所有更改',
    applyToDevice: '应用到设备',

    selectedDevice: '当前设备',
    noDevice: '等待选中',
    reselectDevice: '重新选择设备',

    simpadv2: 'SimPad 版本2',
    simpadv2lite: 'SimPad 版本2 轻量版',
    simpadv2yearedition: 'SimPad v2 周年版',

    //ForKeyboard TextInfo
    keyN_null: '空',

    keyN_esc: 'Esc',
    keyN_f1: 'F1',
    keyN_f2: 'F2',
    keyN_f3: 'F3',
    keyN_f4: 'F4',
    keyN_f5: 'F5',
    keyN_f6: 'F6',
    keyN_f7: 'F7',
    keyN_f8: 'F8',
    keyN_f9: 'F9',
    keyN_f10: 'F10',
    keyN_f11: 'F11',
    keyN_f12: 'F12',
    keyN_prtSc: 'Print Screen',
    keyN_scrLk: 'Sroll Lock',
    keyN_pauseBreak: 'Pause Break',
    keyN_waveLine: '~',
    keyN_1: '1',
    keyN_2: '2',
    keyN_3: '3',
    keyN_4: '4',
    keyN_5: '5',
    keyN_6: '6',
    keyN_7: '7',
    keyN_8: '8',
    keyN_9: '9',
    keyN_0: '0',
    keyN_bar: '-',
    keyN_equal: '=',
    keyN_bsp: '回退键',
    keyN_ins: 'Insert',
    keyN_home: 'Home',
    keyN_pageUp: '上翻页',
    keyN_numPad_numLk: 'Num Lock',
    keyN_numPad_slash: '小键盘/',
    keyN_numPad_asterisk: '小键盘*',
    keyN_numPad_bar: '小键盘-',
    keyN_tab: 'Tab',
    keyN_q: 'Q',
    keyN_w: 'W',
    keyN_e: 'E',
    keyN_r: 'R',
    keyN_t: 'T',
    keyN_y: 'Y',
    keyN_u: 'U',
    keyN_i: 'I',
    keyN_o: 'O',
    keyN_p: 'P',
    keyN_leftParenthesis: '[',
    keyN_rightParenthesis: ']',
    keyN_backSlant: '\\',
    keyN_del: 'Delete',
    keyN_end: 'End',
    keyN_pgDn: '下翻页',
    keyN_numPad_7: '小键盘7',
    keyN_numPad_8: '小键盘8',
    keyN_numPad_9: '小键盘9',
    keyN_numPad_add: '小键盘+',
    keyN_capsLock: '大写锁定',
    keyN_a: 'A',
    keyN_s: 'S',
    keyN_d: 'D',
    keyN_f: 'F',
    keyN_g: 'G',
    keyN_h: 'H',
    keyN_j: 'J',
    keyN_k: 'K',
    keyN_l: 'L',
    keyN_semicolon: ';',
    keyN_quotationMark: "'",
    keyN_enter: 'Enter',
    keyN_numPad_4: '小键盘4',
    keyN_numPad_5: '小键盘5',
    keyN_numPad_6: '小键盘6',
    keyN_leftShift: '左Shift',
    keyN_z: 'Z',
    keyN_x: 'X',
    keyN_c: 'C',
    keyN_v: 'V',
    keyN_b: 'B',
    keyN_n: 'N',
    keyN_m: 'M',
    keyN_comma: ',',
    keyN_period: '.',
    keyN_questionMark: '/',
    keyN_rightShift: '右Shift',
    keyN_upArrow: '↑',
    keyN_numPad_1: '小键盘1',
    keyN_numPad_2: '小键盘2',
    keyN_numPad_3: '小键盘3',
    keyN_numPad_enter: '小键盘Enter',
    keyN_leftCtrl: '左Ctrl',
    keyN_leftWin: '左Win',
    keyN_leftAlt: '左Alt',
    keyN_space: 'Space',
    keyN_rightAlt: '右Alt',
    keyN_rightWin: '右Win',
    keyN_menu: 'Application',
    keyN_rightCtrl: '右Ctrl',
    keyN_leftArrow: '←',
    keyN_downArrow: '↓',
    keyN_rightArrow: '→',
    keyN_numPad_0: '小键盘0',
    keyN_numPad_period: '小键盘.',

    firmwareVersion: '固件版本',
    chipID: '设备ID',
    lightTest: '灯光测试',

    checkUpdateFailed: '检查更新失败'
  },
  'zh-TW': {
    title: 'SimPad Control Panel',
    selectDevice: '選擇設備',
    selectOperation: '選擇操作',
    detailedSettings: '具體配置',
    apply: '套用',
    conInfo: '請連接並選取您要更改的設備',
    refresh: '更新',
    confirmAndNext: '確定，對該設備進行操作',
    chooseInfo: '請選擇您要進行的設定',
    changeKeyCodeBT: '修改鍵位',
    changeLightsBT: '設置燈光',
    otherSettingsBT: '其他選項',
    pleaseWait: '套用中，請稍後……',
    successToApply: '套用成功',
    returnToContinue: '返回',
    exitProgram: '退出',

    edit: '編輯',

    changeKeyCode: '鍵值設定',
    changeKeyCodeInfo: '您可以在這裡分別設置每個鍵的鍵值，支援基本組合鍵功能',
    viewKeyMap: '檢視設備按鍵配置',

    changeLights: '燈光模式與顏色',
    changeLightsInfo: '您可以在這裡調整燈光模式或是分別設置每組燈光的顏色',
    viewLightsMap: '檢視設備燈光配置',
    lightsMode: '模式',
    easeOut: '按下亮起，然後淡出',
    easeIn: '按下熄滅，然後淡入',
    keepOn: '一直常亮',
    keepOff: '關閉',
    keyPress: '按下亮起',
    rainbowColor: '彩虹',
    rainbowEaseOut: '彩虹淡出',
    keySwitch: '按鍵切換常亮',
    rainbowSwitch: '按鍵切換彩虹',

    lightsDelay: '燈光變換速率',
    easeLightDelay: '淡入淡出延時',
    rainbowLightDelay: '彩虹變色延時',

    colorAndBrightness: '顏色與亮度',
    setBrightness: '設置亮度',

    nightLights: '夜燈',
    nightLightsOn: '開啓',
    nightLightsOff: '關閉',

    keyDelay: '按鍵防抖',
    keyDelayInfo: `SimPad使用了一種不同於普通鍵盤的防抖方式，可以有效降低防抖帶來的延遲，
    <br>但您依然可以調整防抖延遲相對值，這個設置將會用於按鍵抬起防抖`,
    delay: '延遲',

    advancedOptions: '進階',
    advancedOptionsInfo: `進階選單提供一些進階操作，這些操作不建議使用者去使用，
    <br>在進階選單的多數操作都將跳過確認而直接套用`,
    sendDataPack: '傳送數據包',
    sendDataPackInfo: `如果您熟悉SimPad數據包格式，您亦可以直接向設備傳送數據包，
    <br>您輸入的文字將按照空格分開解析為16進位數據`,
    sendDataPackBtn: '傳送',
    superSpeedMode: '極速模式',
    superSpeedModeInfo:
      '您可以使用極速模式來徹底關閉所有的燈光效果來獲得最極速的體驗，需要重啓設備來生效更改',
    superSpeedModeeBtnOn: '開啓',
    superSpeedModeeBtnOff: '關閉',
    resetDevice: '重置設備',
    resetDeviceInfo: '您可以重置您的設備，將所有設置恢復為初始設置',
    resetDeviceBtn: '重置',

    about: '關於',
    checkUpdate: '檢索更新',
    installDriver: '安裝驅動程式（需管理員權限）',
    aboutText: `<p>感謝您使用SimPad！</p>
    <p>SimPad是一款基於8051單片機實現的自訂鍵盤，得名於Simple與Pad，表明這個設備力求簡單與實用，在這款設備的開發過程中受到以下人的幫助，</p>
    <p>特此感謝！</p>
    <p></p>
    <p class="nameBefore">Sayobot小夜</p>
    <p class="nameBefore">noodlefighter</p>
    <p class="nameBefore">kd飞飞</p>
    <p class="nameBefore">rikka0w0</p>
    <p class="nameBefore">晨旭</p>
    <p class="nameBefore">Antecer</p>
    <p></p>
    <p>特別感謝</p>
    <p>中文（臺灣）翻譯</p>
    <p class="nameBefore">Spy</p>
    <p></p>
    <a href="https://sim.bysb.net/">
      <p class="canBeSeleted">訪問鍵盤發佈頁面</p>
    </a>
    <a href="https://www.bysb.net">
      <p class="canBeSeleted">訪問手柄君的小閣部落格</p>
    </a>
    <p></p>
    <p>By Handle</p>
    <p>2018.7.4</p>`,

    changesCount: '項生效的更變',
    abandonsChanges: '放棄所有更變',
    applyToDevice: '套用到設備',

    selectedDevice: '目前設備',
    noDevice: '等待選取',
    reselectDevice: '重新選擇設備',

    simpadv2: 'SimPad v2',
    simpadv2yearedition: 'SimPad v2 周年版',

    //ForKeyboard TextInfo
    keyN_null: '空',

    keyN_esc: 'Esc',
    keyN_f1: 'F1',
    keyN_f2: 'F2',
    keyN_f3: 'F3',
    keyN_f4: 'F4',
    keyN_f5: 'F5',
    keyN_f6: 'F6',
    keyN_f7: 'F7',
    keyN_f8: 'F8',
    keyN_f9: 'F9',
    keyN_f10: 'F10',
    keyN_f11: 'F11',
    keyN_f12: 'F12',
    keyN_prtSc: 'Print Screen',
    keyN_scrLk: 'Sroll Lock',
    keyN_pauseBreak: 'Pause Break',
    keyN_waveLine: '~',
    keyN_1: '1',
    keyN_2: '2',
    keyN_3: '3',
    keyN_4: '4',
    keyN_5: '5',
    keyN_6: '6',
    keyN_7: '7',
    keyN_8: '8',
    keyN_9: '9',
    keyN_0: '0',
    keyN_bar: '-',
    keyN_equal: '=',
    keyN_bsp: '回退鍵',
    keyN_ins: 'Insert',
    keyN_home: 'Home',
    keyN_pageUp: '上翻頁',
    keyN_numPad_numLk: 'Num Lock',
    keyN_numPad_slash: '小鍵盤/',
    keyN_numPad_asterisk: '小鍵盤*',
    keyN_numPad_bar: '小鍵盤-',
    keyN_tab: 'Tab',
    keyN_q: 'Q',
    keyN_w: 'W',
    keyN_e: 'E',
    keyN_r: 'R',
    keyN_t: 'T',
    keyN_y: 'Y',
    keyN_u: 'U',
    keyN_i: 'I',
    keyN_o: 'O',
    keyN_p: 'P',
    keyN_leftParenthesis: '[',
    keyN_rightParenthesis: ']',
    keyN_backSlant: '\\',
    keyN_del: 'Delete',
    keyN_end: 'End',
    keyN_pgDn: '下翻頁',
    keyN_numPad_7: '小鍵盤7',
    keyN_numPad_8: '小鍵盤8',
    keyN_numPad_9: '小鍵盤9',
    keyN_numPad_add: '小鍵盤+',
    keyN_capsLock: '大寫鎖定',
    keyN_a: 'A',
    keyN_s: 'S',
    keyN_d: 'D',
    keyN_f: 'F',
    keyN_g: 'G',
    keyN_h: 'H',
    keyN_j: 'J',
    keyN_k: 'K',
    keyN_l: 'L',
    keyN_semicolon: ';',
    keyN_quotationMark: "'",
    keyN_enter: 'Enter',
    keyN_numPad_4: '小鍵盤4',
    keyN_numPad_5: '小鍵盤5',
    keyN_numPad_6: '小鍵盤6',
    keyN_leftShift: '左Shift',
    keyN_z: 'Z',
    keyN_x: 'X',
    keyN_c: 'C',
    keyN_v: 'V',
    keyN_b: 'B',
    keyN_n: 'N',
    keyN_m: 'M',
    keyN_comma: ',',
    keyN_period: '.',
    keyN_questionMark: '/',
    keyN_rightShift: '右Shift',
    keyN_upArrow: '↑',
    keyN_numPad_1: '小鍵盤1',
    keyN_numPad_2: '小鍵盤2',
    keyN_numPad_3: '小鍵盤3',
    keyN_numPad_enter: '小鍵盤Enter',
    keyN_leftCtrl: '左Ctrl',
    keyN_leftWin: '左Win',
    keyN_leftAlt: '左Alt',
    keyN_space: 'Space',
    keyN_rightAlt: '右Alt',
    keyN_rightWin: '右Win',
    keyN_menu: 'Application',
    keyN_rightCtrl: '右Ctrl',
    keyN_leftArrow: '←',
    keyN_downArrow: '↓',
    keyN_rightArrow: '→',
    keyN_numPad_0: '小鍵盤0',
    keyN_numPad_period: '小鍵盤.',

    firmwareVersion: '韌體版本',
    chipID: '硬體ID',
    lightTest: '燈光測試',

    checkUpdateFailed: '檢索更新失敗'
  }
}
